#ifndef BROWSEWIDGET_H
#define BROWSEWIDGET_H

#include <QWidget>
#include <QSettings>
#include <models/lotromanager.h>

namespace Ui {
class BrowseWidget;
}

class BrowseWidget : public QWidget
{
    Q_OBJECT

public:
    explicit BrowseWidget(LotroManager* mgr, QSettings* settings, QWidget *parent = 0);
    ~BrowseWidget();

private slots:
    void on_find_button_common_clicked();
    void on_getFileInfoButton_common_clicked();

    void onLotroLocaleFileContentsReceived(int, LOTRO_DAT::SubfileData);
    void onLotroLocaleFileInfoReceived(int, QString);

private:
    LotroManager* lotro_manager;
    QSettings* settings;
    Ui::BrowseWidget *ui;
};

#endif // BROWSEWIDGET_H
